/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.functional;

import java.util.function.BiPredicate;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public interface IntBiPredicate extends BiPredicate<Integer,Integer> {

    boolean test(int a, int b);
    
    @Override
    default boolean test(Integer a, Integer b) {
        return (null==a) ? (null==b) : (null!=b) && test(a.intValue(), b.intValue());
    }
    
}
